* {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
}

:root {
    --azulmarino: #2f5596;
    --azulclaro: #4698e4;
}

header {
    height: 100px;
    width: 80%;
    margin: auto;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: space-around;
    border-bottom: 3px solid var(--azulmarino);
}

.contlogoh {
    display: flex;
    align-items: center;
    justify-content: center;
}

.contlogoh img{
    height: 80px;
}

header ul {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 60%;
    list-style: none;
}
header ul li a {
    text-decoration: none;
    color: var(--azulmarino);
    font-weight: 600;
}

.portada {
    width: 90%;
    margin: 0 auto;
    height: calc(60vh);
    position: relative;
    border-bottom: var(--azulmarino) 2px solid;
}

.imgportada {
    position: absolute;
    height: 40vh;
    top: 1%;
    left: 50%;
}

.txtportada {
    position: absolute;
    top:50%;
    transform: translateY(-50%);
    left: 10vw;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: 5vh;
}

.txtportada h2 {
    font-size: 2.5vw;
    width: 55%;
    color: #2f5596;
}

.txtportada a {
    padding: 8px 10px;
    background-color: var(--azulmarino);
    border-radius: 30px;
    color: white;
    text-decoration: none;
    font-weight: 700;
    transition: all .3s;
}

.txtportada a:hover {
    color: black;
}

.sobrenosotros {
    background: url(img/aurefond1.jpg);
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
    margin: 10vh 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    position: relative;
    color: white;
}

.capag {
    background: rgba(0, 0, 27, 0.7);
    width: 100%;
    height: 100%;
    position: absolute;
}

.sobrenosotros ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    width: 80%;
    margin: 40px auto;
    z-index: 1;
    list-style: none;
}

.sobrenosotros ul li {
    width: fit-content;
    margin: auto;
    text-align: center;
    font-size: 1vw;
    font-weight: 600;
    padding: 0 16%;
}

.sobrenosotros ul .arriba {
    background-color: rgb(255, 255, 255);
    aspect-ratio: 1;
    border-radius: 50%;
    padding: 10px;
    margin: 30px auto;
}

.sobrenosotros ul li ion-icon {
    font-size: 2.5vw;
    color: var(--azulmarino);
    color: black;
}

.lineablanca {
    background: rgba(255, 255, 255, 0.808);
    z-index: 1;
    color: rgb(71, 71, 71);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 80px 5%;
    margin: 50px 0;
    position: relative;
}

.lineablanca h2 {
    width: 20%;
    margin-left: 15%;
}

.lineablanca p {
    width: 70%;
    font-size: 1vw;
    border-left: var(--azulmarino) 2px solid;
    padding-left: 10px;
}

.mivi h2 {
    margin: 40px 0;
    font-size: 1.5vw;
    z-index: 1;
}

.mivi p {
    margin-bottom: 60px;
    width: 75%;
    font-size: 1vw;
    text-align: justify;
    z-index: 1;
}

.mivi {
    width: 80%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.mivi div img {
    color: white;
    z-index: 1;
    margin-bottom: 30px;
}

.mivi div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.servicios {
    background-color: rgb(197, 197, 197);
    padding: 10px 0;
    margin: 80px 0;
}

.conttitle {
    margin: 80px auto;
    width: 40%;
    border-bottom: #2f5596 2px solid;
}

.conttitle h2 {
    margin: 0 auto;
    width: fit-content;
    padding: 0 10px;
    text-align: center;
    border-bottom: #2f5596 4px solid;
}

.separadorservicios {
    display: flex;
    width: 80%;
    margin: 0 auto;
}

.contserv {
    width: 100%;
    margin: 10px auto;
    border-bottom: var(--azulmarino) 2px solid;
}

.contserv ul {
    margin: 3vw 3vw;
    width: calc(100% - 6vw);
    height: calc(100% - 6vw);
    border-left: var(--azulmarino) 2px solid;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: space-evenly;
    list-style: none;
}

.contserv .botonli {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contserv .botonli a {
    padding: 10px 5px;
    background-color: var(--azulmarino);
    border-radius: 30px;
    color: white;
    text-decoration: none;
    font-size: 1.2vw;
    font-weight: 600;
}

.separadorservicios img {
    width: 40%;
    margin: 10px 10%;
}

.clientes h2 {
    text-align: center;
}

.contclientes {
    width: calc(100% - 400px);
    height: 100px;
    background-color: rgb(199, 199, 199);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 200px;
    overflow: hidden;
}

.contclientes img {
    aspect-ratio: 1;
    height: 98%;
    object-fit: contain;
    animation: mov 9s infinite linear;
}

@keyframes mov {
    from {
        transform: translateX(-200px);
    }

    20% {
        transform: translateX(0px);
    }
    30% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(200px);
    }

    70% {
        transform: translateX(0px);
    }

    80% {
        transform: translateX(0px);
    }

    to{
        transform: translateX(-200px);
    }
}

.contacto {
    width: 80vw;
    margin: 80px auto;
}

.contacto .divcontacto {
    width: 100%;
    display: flex;
}

.contcontactos {
    width: 40vw;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: space-evenly;
}

.contcontactos a{
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 2vw;
    text-decoration: none;
    color: black;
}

.contcontactos a:hover {
    color: var(--azulmarino);
}

.contcontactos a ion-icon {
    font-size: 2vw;
}

.contcontactos a ion-icon:hover {
    color: var(--azulmarino);
}

.galeriamini {
    width: 50%;
    display: grid;
    gap: 1vw;
    grid-template-columns: repeat(2, 1fr);
}

.galeriamini img {
    width: 100%;
}

footer {
    background-color: black;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 30px 0;
    gap: 30px;
}

footer .nav ul{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 30vw;
    list-style: none;
}

footer .nav ul li a {
    color: white;
    text-decoration: none;
}

footer img {
    height: 90px;
}





@keyframes entradac {
    from {
        opacity: .1;
        scale: 0.5;
        transform: translateY(200px);
    }

    to {
        opacity: 1;
        scale: 1;
    }
}

@keyframes entradad {
    from {
        opacity: 0;
        scale: 0.5;
        transform: translateX(200px);
    }

    to {
        opacity: 1;
        scale: 1;
        transform: translateX(0);
    }
}

@keyframes entradai {
    from {
        opacity: .1;
        scale: 0.5;
        transform: translateX(-200px);
    }

    to {
        opacity: 1;
        scale: 1;
        transform: translateX(0);
    }
}

.blockc {
    animation: entradac linear;
    animation-timeline: view();
    animation-range: entry 12% cover 25%;
}

.blockd {
    animation: entradad linear;
    animation-timeline: view();
    animation-range: entry 0% cover 25%;
}

.blocki {
    animation: entradai linear;
    animation-timeline: view();
    animation-range: entry 0% cover 25%;
}

@media (max-width:900px) {
    html {
        overflow-x: hidden;
    }

    header {
        height: auto;
        display: flex;
        flex-direction: column;
    }

    .contlogoh {
        margin: 15px;
    }

    header ul {
        width: 90%;
        margin-bottom: 20px;
    }

    .portada {
        width: 100%;
        height: 70vh;
    }

    .imgportada {
        height: auto;
        width: 80%;
        left: auto;
        top: 5%;
        right: 0;
    }

    .txtportada {
        top: auto;
        bottom: 5%;
        left: 5vw;
    }

    .txtportada h2 {
        font-size: 6vw;
        width: 90%;
    }
    
    .txtportada a {
        font-size: 4.4vw;
    }

    .sobrenosotros {
        margin: 5vh 0;
    }

    .sobrenosotros ul {
        width: 96%;
    }

    .sobrenosotros ul li {
        font-size: 4vw;
    }

    .sobrenosotros ul li ion-icon {
        font-size: 6vw;
    }

    .lineablanca {
        padding: 40px 2%;
    }

    .lineablanca h2{
        font-size: 4vw;
        width: 50%;
        margin-left: 2%;
    }

    .lineablanca p {
        font-size: 3vw;
    }

    .mivi {
        width: 96%;
    }

    .mivi div p{
        font-size: 3.1vw;
        font-weight: 100;
        width: 80%;
    }

    .conttitle {
        width: 80%;
    }

    .separadorservicios {
        flex-direction: column;
        width: 90%;
    }

    .contserv ul {
        margin: 0vw 6vw;
        margin-bottom: 5vw;
        height: 90vh;
    }

    .contserv .botonli a {
        font-size: 5vw;
        padding: 10px 20px;
    }

    .separadorservicios img {
        width: 90%;
        margin: 20px 5%;
    }

    .contclientes {
        width: calc(100vw - 20px);
        max-width: 100vw;
        overflow: hidden;
        padding: 10px 10px;
    }

    .contclientes img {
        height: auto;
        max-width: calc(100% / 3);
        animation: movcel 20s linear infinite;
    }

    @keyframes movcel {
        from {
            transform: translateX(1px);
        }

        10%{
            transform: translateX(0px);
        }

        45% {
            transform: translateX(-700%);
        }

        55% {
            transform: translateX(-700%);
        }

        90%{
            transform: translateX(0px);
        }

        to {
            transform: translateX(0px);
        }
    }

    .contacto {
        width: 90%;

    }

    .contacto .divcontacto {
        flex-direction: column;
    }

    .contcontactos {
        width: 100%;
        height: 30vh;
    }

    .contcontactos a {
        gap: 3vw;
        font-size: 4vw;
    }

    .contcontactos a ion-icon {
        font-size: 8vw;
    }

    .galeriamini {
        width: 100%;
    }

    footer .nav ul {
        width: 90vw;
    }

}